Xerces-J API: Interface MutationEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface MutationEvent

All Known Implementing Classes:
  MutationEventImpl

public interface MutationEvent
extends Event

The `MutationEvent` interface provides specific contextual information associated with Mutation events.

See also the Document Object Model (DOM) Level 2 Events Specification.

Since:
  DOM Level 2

Field Summary
`static short` | `ADDITION` The `Attr` was just added.
`static short` | `MODIFICATION` The `Attr` was modified in place.
`static short` | `REMOVAL` The `Attr` was just removed.

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`short` | `getAttrChange()` `attrChange` indicates the type of change which triggered the DOMAttrModified event.
`java.lang.String` | `getAttrName()` `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.
`java.lang.String` | `getNewValue()` `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.
`java.lang.String` | `getPrevValue()` `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.
`Node` | `getRelatedNode()` `relatedNode` is used to identify a secondary node related to a mutation event.
`void` | `initMutationEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, java.lang.String prevValueArg, java.lang.String newValueArg, java.lang.String attrNameArg, short attrChangeArg)` The `initMutationEvent` method is used to initialize the value of a `MutationEvent` created through the `DocumentEvent` interface.

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Field Detail

### MODIFICATION

    public static final short MODIFICATION

  The `Attr` was modified in place.

### ADDITION

    public static final short ADDITION

  The `Attr` was just added.

### REMOVAL

    public static final short REMOVAL

  The `Attr` was just removed.

Method Detail

### getRelatedNode

    public Node getRelatedNode()

  `relatedNode` is used to identify a secondary node related to a mutation event. For example, if a mutation event is dispatched to a node indicating that its parent has changed, the `relatedNode` is the changed parent. If an event is instead dispatched to a subtree indicating a node was changed within it, the `relatedNode` is the changed node. In the case of the DOMAttrModified event it indicates the `Attr` node which was modified, added, or removed.

### getPrevValue

    public java.lang.String getPrevValue()

  `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.

### getNewValue

    public java.lang.String getNewValue()

  `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.

### getAttrName

    public java.lang.String getAttrName()

  `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.

### getAttrChange

    public short getAttrChange()

  `attrChange` indicates the type of change which triggered the DOMAttrModified event. The values can be `MODIFICATION` , `ADDITION`, or `REMOVAL`.

### initMutationEvent

    public void initMutationEvent(java.lang.String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  Node relatedNodeArg,
                                  java.lang.String prevValueArg,
                                  java.lang.String newValueArg,
                                  java.lang.String attrNameArg,
                                  short attrChangeArg)

  The `initMutationEvent` method is used to initialize the value of a `MutationEvent` created through the `DocumentEvent` interface. This method may only be called before the `MutationEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.
  Parameters:
    `typeArgSpecifies` - the event type.
    `canBubbleArgSpecifies` - whether or not the event can bubble.
    `cancelableArgSpecifies` - whether or not the event's default action can be prevented.
    `relatedNodeArgSpecifies` - the `Event`'s related Node.
    `prevValueArgSpecifies` - the `Event`'s `prevValue` attribute. This value may be null.
    `newValueArgSpecifies` - the `Event`'s `newValue` attribute. This value may be null.
    `attrNameArgSpecifies` - the `Event`'s `attrName` attribute. This value may be null.
    `attrChangeArgSpecifies` - the `Event`'s `attrChange` attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.